Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.mtg
Class Attributes

    java.lang.Object
      de.grogra.graph.Attributes
          de.grogra.imp.objects.Attributes
              de.grogra.imp3d.objects.Attributes
                  de.grogra.rgg.Attributes
                      de.grogra.mtg.Attributes

    public class Attributes

extends Attributes

Field Summary
`static DoubleAttribute` | `AA`
`static DoubleAttribute` | `Alpha`
`static DoubleAttribute` | `Azimut`
`static DoubleAttribute` | `BB`
`static DoubleAttribute` | `BotDia`
`static IntAttribute` | `Category`
`static DoubleAttribute` | `CC`
`static DoubleAttribute` | `DAB`
`static DoubleAttribute` | `DAC`
`static IntAttribute` | `DATA_FLAG`
`static DoubleAttribute` | `DBC`
`static ObjectAttribute` | `DirectionPrimary`
`static DoubleAttribute` | `L1`
`static DoubleAttribute` | `L2`
`static DoubleAttribute` | `L3`
`static DoubleAttribute` | `Length`
`static StringAttribute` | `MTG_CLASS`
`static IntAttribute` | `MTG_CLASS_ID`
`static DoubleAttribute` | `MTG_DIST`
`static IntAttribute` | `MTG_ID`
`static ObjectAttribute` | `MTG_NODE_DATA`
`static IntAttribute` | `MTG_SCALE`
`static IntAttribute` | `MTG_VISIBLE_SIDES`
`static IntAttribute` | `Order`
`static DoubleAttribute` | `Position`
`static IntAttribute` | `STD_ATT_FLAG`
`static DoubleAttribute` | `TopDia`
`static DoubleAttribute` | `XX`
`static DoubleAttribute` | `YY`
`static DoubleAttribute` | `ZZ`

Fields inherited from class de.grogra.rgg.Attributes
`I18N, STATE`

Fields inherited from class de.grogra.imp3d.objects.Attributes
`A, AREA_LIGHT, AXIS, B, BASE_OPEN, CSG_COMPLEMENT, CSG_DIFFERENCE, CSG_INTERSECTION, CSG_NONE, CSG_OPERATION, CSG_OPERATION_TYPE, CSG_UNION, END_POSITION, EXPORTED_TRANSFORMATION, EXPORTED_TRANSFORMATION_TYPE, INTERIOR, LIGHT, M1, M2, N11, N12, N13, N21, N22, N23, OPEN, PER_VERTEX_SIZE, POLYGONS, SCALE_V, SHADER, SHAPE, SHIFT_PIVOT, START_POSITION, TOP_OPEN, TRANSFORM, TRANSFORMATION, TREATED_AS_INFINITE, VISIBLE_SIDES, VISIBLE_SIDES_BACK, VISIBLE_SIDES_BOTH, VISIBLE_SIDES_FRONT, VISIBLE_SIDES_TYPE`

Fields inherited from class de.grogra.imp.objects.Attributes
`ANGLE, BASE_RADIUS, CAPTION, COLOR, CONTINUOUS_VERTICAL_ALIGNMENT, CURVE, FILL_COLOR, FILLED, FLATNESS, FLOAT_DATA, FONT, H_ALIGN_CENTER, H_ALIGN_LEFT, H_ALIGN_RIGHT, HEIGHT, HORIZONTAL_ALIGNMENT, HORIZONTAL_ALIGNMENT_TYPE, LENGTH, OUTLINED, RADIUS, SCALE, SURFACE, TOP_RADIUS, TRANSFORMING, V_ALIGN_BOTTOM, V_ALIGN_CENTER, V_ALIGN_TOP, VALUE, VERTEX_GRID, VERTEX_LIST, VERTICAL_ALIGNMENT, VERTICAL_ALIGNMENT_TYPE, WIDTH`

Fields inherited from class de.grogra.graph.Attributes
`LAYER, LAYER_COUNT, NAME, USER_FIELDS, WEIGHT`

Constructor Summary
`Attributes()`

Method Summary

Methods inherited from class de.grogra.imp3d.objects.Attributes
`isVisible`

Methods inherited from class de.grogra.graph.Attributes
`init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AA

    public static final DoubleAttribute AA

### Alpha

    public static final DoubleAttribute Alpha

### Azimut

    public static final DoubleAttribute Azimut

### BB

    public static final DoubleAttribute BB

### BotDia

    public static final DoubleAttribute BotDia

### Category

    public static final IntAttribute Category

### CC

    public static final DoubleAttribute CC

### DAB

    public static final DoubleAttribute DAB

### DAC

    public static final DoubleAttribute DAC

### DATA_FLAG

    public static final IntAttribute DATA_FLAG

### DBC

    public static final DoubleAttribute DBC

### DirectionPrimary

    public static final ObjectAttribute DirectionPrimary

### L1

    public static final DoubleAttribute L1

### L2

    public static final DoubleAttribute L2

### L3

    public static final DoubleAttribute L3

### Length

    public static final DoubleAttribute Length

### MTG_CLASS

    public static final StringAttribute MTG_CLASS

### MTG_CLASS_ID

    public static final IntAttribute MTG_CLASS_ID

### MTG_DIST

    public static final DoubleAttribute MTG_DIST

### MTG_ID

    public static final IntAttribute MTG_ID

### MTG_NODE_DATA

    public static final ObjectAttribute MTG_NODE_DATA

### MTG_SCALE

    public static final IntAttribute MTG_SCALE

### MTG_VISIBLE_SIDES

    public static final IntAttribute MTG_VISIBLE_SIDES

### Order

    public static final IntAttribute Order

### Position

    public static final DoubleAttribute Position

### STD_ATT_FLAG

    public static final IntAttribute STD_ATT_FLAG

### TopDia

    public static final DoubleAttribute TopDia

### XX

    public static final DoubleAttribute XX

### YY

    public static final DoubleAttribute YY

### ZZ

    public static final DoubleAttribute ZZ

Constructor Detail

### Attributes

    public Attributes()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD